Subject: bug#59872: cl-labels and cl-flet do not comply with the documentation

From: Michael Heerdegen <[email-masked]>
Date: Sun, 11 Dec 2022 00:12:49 +0100

Rafael D Sorkin <[email-masked]> writes:

> The documentation that I received along with emacs 28.2 says about
> `cl-flet' that
>
> "... the function body is enclosed in an implicit block as if by
> `cl-defun'".

> However, as far as I can tell, neither of these functions
> actually creates an implicit named block, as claimed.

I think you are absolutely right, thanks for reporting this.  Seems
implementing that feature had just been forgotten when the cl-lib
versions were written.

Michael.